# Including kokkuri to be able to produce and publish images
include:
  - project: repos/releng/kokkuri
    file: includes/images.yaml

stages:
  - build
  - test
  - publish

build:
  extends: .kokkuri:build-and-publish-image
  stage: build
  variables:
    BUILD_VARIANT: build

run-test-variant:
  extends: .kokkuri:build-and-run-image
  stage: test
  variables:
    BUILD_VARIANT: test

# Publishing an image to the Wikimedia docker registry to use in production
publish-production-variant:
  extends: .kokkuri:build-and-publish-image
  stage: publish
  needs:
    - run-test-variant
  variables:
    BUILD_VARIANT: production
  tags:
    - trusted
  rules:
    - if: $CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED
